---
# Lookup: https://dnscrypt.info/public-servers
# List of servers:
#   - https://github.com/DNSCrypt/dnscrypt-resolvers
#   - https://github.com/DNSCrypt/dnscrypt-proxy/wiki/DNS-server-sources

dnscrypt_server_sources:
  - name: public-resolvers
    urls:
      - https://download.dnscrypt.info/resolvers-list/v3/public-resolvers.md
      - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/public-resolvers.md
      - https://dnsr.evilvibes.com/v3/public-resolvers.md
      - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/public-resolvers.md
      - https://ipv6.download.dnscrypt.info/resolvers-list/v3/public-resolvers.md
    cache_file: /var/cache/dnscrypt-proxy/public-resolvers.md
    minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
    refresh_delay: 72
    prefix: ''

  - name: relays
    urls:
      - https://download.dnscrypt.info/resolvers-list/v3/relays.md
      - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/relays.md
      - https://dnsr.evilvibes.com/v3/relays.md
      - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/relays.md
    cache_file: /var/cache/dnscrypt-proxy/relays.md
    minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
    refresh_delay: 72
    prefix: ''

  - name: odoh-servers
    urls:
      - https://download.dnscrypt.info/resolvers-list/v3/odoh-servers.md
      - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/odoh-servers.md
      - https://dnsr.evilvibes.com/v3/odoh-servers.md
      - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/odoh-servers.md
    cache_file: /var/cache/dnscrypt-proxy/odoh-servers.md
    minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
    refresh_delay: 24
    prefix: ''

  - name: odoh-relays
    urls:
      - https://download.dnscrypt.info/resolvers-list/v3/odoh-relays.md
      - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/odoh-relays.md
      - https://dnsr.evilvibes.com/v3/odoh-relays.md
      - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/odoh-relays.md
    cache_file: /var/cache/dnscrypt-proxy/odoh-relays.md
    minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
    refresh_delay: 24
    prefix: ''

  - name: opennic
    urls:
      - https://download.dnscrypt.info/dnscrypt-resolvers/v3/opennic.md
      - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/opennic.md
      - https://dnsr.evilvibes.com/v3/opennic.md
      - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/opennic.md
    cache_file: /var/cache/dnscrypt-proxy/opennic.md
    minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
    refresh_delay: 72
    prefix: ''

  # - name: quad9-resolvers
  #   urls:
  #     - https://www.quad9.net/quad9-resolvers.md
  #     - https://raw.githubusercontent.com/Quad9DNS/dnscrypt-settings/main/dnscrypt/quad9-resolvers.md
  #     - https://quad9.net/dnscrypt/quad9-resolvers.md
  #   cache_file: /var/cache/dnscrypt-proxy/quad9.md
  #   minisign_key: RWQBphd2+f6eiAqBsvDZEBXBGHQBJfeG6G+wJPPKxCZMoEQYpmoysKUN
  #   refresh_delay: 72
  #   prefix: 'quad9-'

  # - name: onion-services
  #   urls:
  #     - https://download.dnscrypt.info/dnscrypt-resolvers/v3/onion-services.md
  #     - https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/onion-services.md
  #     - https://dnsr.evilvibes.com/v3/onion-services.md
  #     - https://cdn.staticaly.com/gh/DNSCrypt/dnscrypt-resolvers/master/v3/onion-services.md
  #   cache_file: /var/cache/dnscrypt-proxy/onion-services.md
  #   minisign_key: RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3
  #   refresh_delay: 72
  #   prefix: ''

libvirt_daemons_conf:
  - unix_sock_group = "libvirt"
  - unix_sock_ro_perms = "0770"
  - unix_sock_rw_perms = "0770"
  - auth_unix_ro = "none"
  - auth_unix_rw = "none"

shells_mappings:
  ash: /bin/ash
  bash: /bin/bash
  dash: /usr/bin/dash
  fish: /usr/bin/fish
  hilbish: /usr/bin/hilbish
  ion-shell: /usr/bin/ion
  nushell: /usr/bin/nu
  sh: /bin/sh
  xonsh: /usr/bin/xonsh
  yash: /usr/bin/yash
  zsh: /bin/zsh

zram_num_devices: 3
